# frozen_string_literal: true

module  Apiphobic
module  Authorization
class   Authorizer
  attr_accessor :action,
                :parameters,
                :resource,
                :token,
                :audience

  # rubocop:disable Metrics/ParameterLists
  def initialize(action:, token:, audience:, issuer:, parameters:, resource:, **other)
    self.action     = action
    self.audience   = audience
    self.parameters = parameters
    self.resource   = resource
    self.token      = token

    other.each do |name, value|
      public_send("#{name}=", value)
    end
  end
  # rubocop:enable Metrics/ParameterLists

  alias user audience

  def able_to_index?
    false
  end

  def able_to_show?
    false
  end

  def able_to_create?
    false
  end

  def able_to_update?
    false
  end

  def able_to_destroy?
    false
  end
end
end
end
