# frozen_string_literal: true

require 'erratum/error'

module  Apiphobic
module  Errors
class   UnpermittedInclusions < RuntimeError
  include Erratum::Error

  attr_accessor :inclusions

  def http_status
    422
  end

  def title
    'Unpermitted Inclusion'
  end

  def detail
    'One or more of the inclusions you attempted to pass via the "include" parameter ' \
    'are either not available or not authorized.'
  end

  def source
    { inclusions: inclusions }
  end
end
end
end
