# frozen_string_literal: true

require 'erratum/error'

module  Apiphobic
module  Errors
class   UnpermittedSorts < RuntimeError
  include Erratum::Error

  attr_accessor :sorts

  def http_status
    422
  end

  def title
    'Unpermitted Sort'
  end

  def detail
    <<~HEREDOC.chomp.tr("\n", ' ')
      One or more of the sorts you attempted to pass via the "sort" parameter
      are either not available or not authorized.
    HEREDOC
  end

  def source
    { sorts: sorts }
  end
end
end
end
